<?php
#
# Template for check_coolcon_energy
#
# RRDtool Options
$color = "0000FF";
$color_array[1] = "00FF00";
$color_array[2] = "000000";
$color_array[3] = "0000FF";
$upper_limit = "";
$lower_limit = "-l 0";
$uom = "";
$vlabel = '--vertical-label "°C"';
$stat = "";
$stat_name = "";

foreach ( $this->DS as $idx => $val ) {
    $index = '';
    # Four mains: A1, B1, A2, B2
    if ( preg_match('/_(A|B)(\d+)$/', $val['NAME']) ) {
        if ( preg_match('/^currL(\d)_(A|B)(\d+)$/', $val['NAME']) ) {
            # Current statistics values
            #
            preg_match('/^currL(\d)_(A|B)(\d+)$/', $val['NAME'], $curr_array);
            $curr_line = $curr_array[1];
            $curr_main = $curr_array[2];
            $curr_num  = $curr_array[3];
            $index = "current".$curr_main.$curr_num;
            $stat = "current".$curr_main.$curr_num."_L".$curr_line;
            $stat_name = "Current L".$curr_line;
            $title = "--title \"Knuerr CoolCon - Current Main $curr_main$curr_num - $hostname\" ";
            $uom = "A";
            $vlabel = '--vertical-label "Ampere"';
            $color = $color_array[$curr_line];
            #
            # RRDtool options
            $ds_name[$index] = "Knuerr CoolCon Current Main $curr_main$curr_num";
        } elseif ( preg_match('/^voltL(\d)_(A|B)(\d+)$/', $val['NAME']) ) {
            # Voltage statistics values
            #
            preg_match('/^voltL(\d)_(A|B)(\d+)$/', $val['NAME'], $volt_array);
            $volt_line = $volt_array[1];
            $volt_main = $volt_array[2];
            $volt_num  = $volt_array[3];
            $index = "volt".$volt_main.$volt_num;
            $stat = "volt".$volt_main.$volt_num."_L".$volt_line;
            $stat_name = "Voltage Main L".$volt_line;
            $title = "--title \"Knuerr CoolCon - Voltage Main $volt_main$volt_num - $hostname\" ";
            $uom = "V";
            $vlabel = '--vertical-label "Volt"';
            $color = $color_array[$volt_line];
            #
            # RRDtool options
            $ds_name[$index] = "Knuerr CoolCon Voltage Main $volt_main$volt_num";
        } elseif ( preg_match('/^actPWR_(A|B)(\d+)$/', $val['NAME']) ) {
            # Active Power statistics values
            #
            preg_match('/^actPWR_(A|B)(\d+)$/', $val['NAME'], $actpwr_array);
            $actpwr_main = $actpwr_array[1];
            $actpwr_num  = $actpwr_array[2];
            $index = "actpwr".$actpwr_main.$actpwr_num;
            $stat = "actpwr".$actpwr_main.$actpwr_num;
            $stat_name = "Active Power";
            $title = "--title \"Knuerr CoolCon - Active Power Main $actpwr_main$actpwr_num - $hostname\" ";
            $uom = "W";
            $vlabel = '--vertical-label "Watt"';
            #
            # RRDtool options
            $ds_name[$index] = "Knuerr CoolCon Active Power Main $actpwr_main$actpwr_num";
        } elseif ( preg_match('/^appPWR_(A|B)(\d+)$/', $val['NAME']) ) {
            # Apparent Power statistics values
            #
            preg_match('/^appPWR_(A|B)(\d+)$/', $val['NAME'], $apppwr_array);
            $apppwr_main = $apppwr_array[1];
            $apppwr_num  = $apppwr_array[2];
            $index = "apppwr".$apppwr_main.$apppwr_num;
            $stat = "apppwr".$apppwr_main.$apppwr_num;
            $stat_name = "Apparent Power";
            $title = "--title \"Knuerr CoolCon - Apparent Power Main $apppwr_main$apppwr_num - $hostname\" ";
            $uom = "VA";
            $vlabel = '--vertical-label "VA"';
            #
            # RRDtool options
            $ds_name[$index] = "Knuerr CoolCon Apparent Power Main $apppwr_main$apppwr_num";
        } elseif ( preg_match('/^reaPWR_(A|B)(\d+)$/', $val['NAME']) ) {
            # Reactive Power statistics values
            #
            preg_match('/^reaPWR_(A|B)(\d+)$/', $val['NAME'], $reapwr_array);
            $reapwr_main = $reapwr_array[1];
            $reapwr_num  = $reapwr_array[2];
            $index = "reapwr".$reapwr_main.$reapwr_num;
            $stat = "reapwr".$reapwr_main.$reapwr_num;
            $stat_name = "Reactive Power";
            $title = "--title \"Knuerr CoolCon - Reactive Power Main $reapwr_main$reapwr_num - $hostname\" ";
            $uom = "VAr";
            $vlabel = '--vertical-label "VAr"';
            #
            # RRDtool options
            $ds_name[$index] = "Knuerr CoolCon Reactive Power Main $reapwr_main$reapwr_num";
        } elseif ( preg_match('/^cosphi_(A|B)(\d+)$/', $val['NAME']) ) {
            # Power Factor statistics values
            #
            preg_match('/^cosphi_(A|B)(\d+)$/', $val['NAME'], $cosphi_array);
            $cosphi_main = $cosphi_array[1];
            $cosphi_num  = $cosphi_array[2];
            $index = "cosphi".$cosphi_main.$cosphi_num;
            $stat = "cosphi".$cosphi_main.$cosphi_num;
            $stat_name = "Cos Phi";
            $title = "--title \"Knuerr CoolCon - Cos Phi Main $cosphi_main$cosphi_num - $hostname\" ";
            $uom = "";
            $vlabel = '--vertical-label "-"';
            #
            # RRDtool options
            $ds_name[$index] = "Knuerr CoolCon Cos Phi Main $cosphi_main$cosphi_num";
        } elseif ( preg_match('/^energy_(A|B)(\d+)$/', $val['NAME']) ) {
            # Energy statistics values
            #
            preg_match('/^energy_(A|B)(\d+)$/', $val['NAME'], $energy_array);
            $energy_main = $energy_array[1];
            $energy_num  = $energy_array[2];
            $index = "energy".$energy_main.$energy_num;
            $stat = "energy".$energy_main.$energy_num;
            $stat_name = "Energy";
            $title = "--title \"Knuerr CoolCon - Energy Main $energy_main$energy_num - $hostname\" ";
            $uom = "kWh";
            $vlabel = '--vertical-label "kWh"';
            #
            # RRDtool options
            $ds_name[$index] = "Knuerr CoolCon Energy Main $energy_main$energy_num";
        }
        #
        # RRDtool options
        $opt[$index] = "$vlabel $lower_limit $upper_limit $title";
        #
        # Graph Definitions
        if ( !isset($def[$index]) ) {
            $def[$index] = "";
        }
        $def[$index] .= "DEF:".$stat."=".$val['RRDFILE'].":".$val['DS'].":AVERAGE "; 
        $def[$index] .= "LINE1:".$stat."#".$color.":".sprintf("\"%-14s\"", $stat_name)." "; 
        $def[$index] .= "GPRINT:".$stat.":MIN:\"Minimum\: %6.2lf ".$uom."\" ";
        $def[$index] .= "GPRINT:".$stat.":AVERAGE:\"Average\: %6.2lf ".$uom."\" ";
        $def[$index] .= "GPRINT:".$stat.":MAX:\"Maximum\: %6.2lf ".$uom."\\n\" ";
    }
}

# Uncomment to debug 
#
#$output = "<pre>".print_r($this->DS,TRUE)."</pre><BR><pre>".print_r($opt,TRUE)."</pre><BR><pre>".print_r($def,TRUE)."</pre>";
#throw new Kohana_exception($output);
?>
