<?php
#
# Template for check_coolcon_temperature
#
# RRDtool Options
$color = "00FF00";
$upper_limit = "";
$lower_limit = "-l 0";
$uom = "°C";
$vlabel = '--vertical-label "°C"';

foreach ( $this->DS as $idx => $val ) {
    # Temperature statistics values
    #
    preg_match('/^(temp\d+)$/', $val['NAME'], $temp_array);
    $temp = $temp_array[1];
    
    if ( $temp == 'temp1' ) {
        $stat_name = 'AC, warm side';
    } elseif ( $temp == 'temp2' ) {
        $stat_name = 'AC, cold side';
    } elseif ( $temp == 'temp3' ) {
        $stat_name = 'Rack left, warm side';
    } elseif ( $temp == 'temp4' ) {
        $stat_name = 'Rack left, cold side';
    } elseif ( $temp == 'temp5' ) {
        $stat_name = 'Rack right, warm side';
    } elseif ( $temp == 'temp6' ) {
        $stat_name = 'Rack right, cold side ';
    }
    $title = "--title \"Knuerr CoolCon - Temperature - $hostname - $stat_name\" ";

    if ( $val['CRIT'] > $val['ACT'] && $val['CRIT'] > $val['WARN'] ) {
        $upper_limit = "-u ".$val['CRIT'];
    } elseif ( $val['WARN'] > $val['ACT'] && $val['WARN'] > $val['CRIT'] ) {
        $upper_limit = "-u ".$val['WARN'];
    }
    #
    # RRDtool options
    $ds_name[$idx] = "Knuerr CoolCon Temperature $stat_name";
    $opt[$idx] = "$vlabel $lower_limit $upper_limit $title";
    #
    # Graph Definitions
    if ( !isset($def[$idx]) ) {
        $def[$idx] = "";
    }

    $def[$idx] .= "DEF:".$temp."=".$val['RRDFILE'].":".$val['DS'].":AVERAGE "; 
    $def[$idx] .= "AREA:".$temp."#".$color.":".sprintf("\"%-23s\"", $stat_name)." "; 
    $def[$idx] .= "GPRINT:".$temp.":MIN:\"Minimum\: %6.2lf ".$uom."\" ";
    $def[$idx] .= "GPRINT:".$temp.":AVERAGE:\"Average\: %6.2lf ".$uom."\" ";
    $def[$idx] .= "GPRINT:".$temp.":MAX:\"Maximum\: %6.2lf ".$uom."\\n\" ";
    $def[$idx] .= "HRULE:".$val['WARN']."#FFFF00:\"Warning  ".$val['WARN']." $uom \\n\" " ;
    $def[$idx] .= "HRULE:".$val['CRIT']."#FF0000:\"Critical ".$val['CRIT']." $uom \\n\" " ;
}

# Uncomment to debug 
#
#$output = "<pre>".print_r($this->DS,TRUE)."</pre><BR><pre>".print_r($opt,TRUE)."</pre><BR><pre>".print_r($def,TRUE)."</pre>";
#throw new Kohana_exception($output);
?>
