<?php
#
# Template for check_coolcon_waterflow
#
# RRDtool Options
$color = "00FF00";
$upper_limit = "";
$lower_limit = "-l 0";
$uom = "";
$vlabel = '--vertical-label ""';
$stat = "";
$stat_name = "";

foreach ( $this->DS as $idx => $val ) {
    if ( preg_match('/^flowWater_/', $val['NAME']) ) {
        # Water flow statistics values
        #
        $uom = "l/min";
        $vlabel = '--vertical-label "l/min"';
        preg_match('/^flowWater_(\d+)$/', $val['NAME'], $flow_array);
        $flow = $flow_array[1];
        $stat = "flow".$flow;
        $stat_name = "Water Flow ".$flow;
        $title = "--title \"Knuerr CoolCon - Water Flow $flow - $hostname\" ";

        #
        # RRDtool options
        $ds_name[$idx] = "Knuerr CoolCon Water Flow $flow";
    } elseif ( preg_match('/^coolingPower/', $val['NAME']) ) {
        # Cooling power statistics values
        # 
        $uom = "kW";
        $vlabel = '--vertical-label "kW"';
        $stat_name = "cooling";
        $stat_name = "Cooling Power";
        $title = "--title \"Knuerr CoolCon - Cooling Power - $hostname\" ";

        #
        # RRDtool options
        $ds_name[$idx] = "Knuerr CoolCon Cooling Power";
    }
    #
    # RRDtool options
    $opt[$idx] = "$vlabel $lower_limit $upper_limit $title";

    #
    # Graph Definitions
    if ( !isset($def[$idx]) ) {
        $def[$idx] = "";
    }
    $def[$idx] .= "DEF:".$stat."=".$val['RRDFILE'].":".$val['DS'].":AVERAGE "; 
    $def[$idx] .= "AREA:".$stat."#".$color.":".sprintf("\"%-13s\"", $stat_name)." "; 
    $def[$idx] .= "GPRINT:".$stat.":MIN:\"Minimum\: %6.2lf ".$uom."\" ";
    $def[$idx] .= "GPRINT:".$stat.":AVERAGE:\"Average\: %6.2lf ".$uom."\" ";
    $def[$idx] .= "GPRINT:".$stat.":MAX:\"Maximum\: %6.2lf ".$uom."\\n\" ";
}

# Uncomment to debug 
#
#$output = "<pre>".print_r($this->DS,TRUE)."</pre><BR><pre>".print_r($opt,TRUE)."</pre><BR><pre>".print_r($def,TRUE)."</pre>";
#throw new Kohana_exception($output);
?>
