<?php
#
# Template for check_coolcon_watertemperature
#
# RRDtool Options
$color = "00FF00";
$upper_limit = "";
$lower_limit = "-l 0";
$uom = "°C";
$vlabel = '--vertical-label "°C"';
$stat = "";
$stat_name = "";

foreach ( $this->DS as $idx => $val ) {
    if ( preg_match('/^Water_(In|Out)_Temp_(\d+)$/', $val['NAME']) ) {
        # Water temperature statistics values
        #
        preg_match('/^Water_(In|Out)_Temp_(\d+)$/', $val['NAME'], $temp_array);
        $temp_dir = $temp_array[1];
        $temp_num = $temp_array[2];
        $stat = "temp_".$temp_dir."_".$temp_num;
        $stat_name = "Water ".$temp_dir." Temp ".$temp_num;
        $title = "--title \"Knuerr CoolCon - Water $temp_dir Temperature $temp_num - $hostname\" ";

        if ( $val['CRIT'] > $val['ACT'] && $val['CRIT'] > $val['WARN'] ) {
            $upper_limit = "-u ".$val['CRIT'];
        } elseif ( $val['WARN'] > $val['ACT'] && $val['WARN'] > $val['CRIT'] ) {
            $upper_limit = "-u ".$val['WARN'];
        }
        #
        # RRDtool options
        $ds_name[$idx] = "Knuerr CoolCon Water $temp_dir Temperature $temp_num";
        $opt[$idx] = "$vlabel $lower_limit $upper_limit $title";

        #
        # Graph Definitions
        if ( !isset($def[$idx]) ) {
            $def[$idx] = "";
        }
        $def[$idx] .= "DEF:".$stat."=".$val['RRDFILE'].":".$val['DS'].":AVERAGE "; 
        $def[$idx] .= "AREA:".$stat."#".$color.":".sprintf("\"%-15s\"", $stat_name)." "; 
        $def[$idx] .= "GPRINT:".$stat.":MIN:\"Minimum\: %6.2lf ".$uom."\" ";
        $def[$idx] .= "GPRINT:".$stat.":AVERAGE:\"Average\: %6.2lf ".$uom."\" ";
        $def[$idx] .= "GPRINT:".$stat.":MAX:\"Maximum\: %6.2lf ".$uom."\\n\" ";
        $def[$idx] .= "HRULE:".$val['WARN']."#FFFF00:\"Critical low  ".$val['WARN']." $uom \\n\" " ;
        $def[$idx] .= "HRULE:".$val['CRIT']."#FF0000:\"Critical high ".$val['CRIT']." $uom \\n\" " ;
    }
}

# Uncomment to debug 
#
#$output = "<pre>".print_r($this->DS,TRUE)."</pre><BR><pre>".print_r($opt,TRUE)."</pre><BR><pre>".print_r($def,TRUE)."</pre>";
#throw new Kohana_exception($output);
?>
